be.fgov.ehealth.dics.protocol.v5

## Class FindReimbursementResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindReimbursementResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:31:25+02:00",
                 comments="JAXB RI v2.2.11")
      public class FindReimbursementResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindReimbursementResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindReimbursementResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="ReimbursementContexts" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultReimbursementContextType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindReimbursementResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultReimbursementContextType>` | `getReimbursementContexts()` Gets the value of the reimbursementContexts property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindReimbursementResponse

          public FindReimbursementResponse()

  - ### Method Detail

    - #### getReimbursementContexts

          public List<ConsultReimbursementContextType> getReimbursementContexts()

      Gets the value of the reimbursementContexts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementContexts property.

      For example, to add a new item, do as follows:

              getReimbursementContexts().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultReimbursementContextType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.